// import { object } from 'assert-plus';
import { GetServerUrl } from './config.js';
// let mysqlcn = require('mysqlcn.js');
// let query = mysqlcn.query;

// document.addEventListener('DOMContentLoaded', () => {
//     const sendItem = document.querySelector('.sendItem')
//     const itemID = document.querySelector('.itemID')
//     const itemNum = document.querySelector('.itemNum')
//     const addItem = document.querySelector('.addItem')

//     const arr = []

//     function fShowItem (){
//         let str = ''
//         for(let i = 0; i<arr.length; i++){
//             if(i>=1){
//                 str += "<br>"
//             }
//             str += `[${arr[i].id}]x[${arr[i].num}],`
//         }
//         sendItem.innerHTML = str
//     }        

//     function fadditem(id, num) {
//         console.log(arr)
//         for(let i = 0; i<arr.length; i++){
//             if(arr[i].id == id)
//             {
//                 arr[i].num += num
//                 return
//             }
//         }
//         arr.push({id:id, num:num})      
//         let jsonStr = JSON.stringify(arr);
//         console.log(jsonStr);  // 输出: "[1,2,3,4,5]"
//     }

//     addItem.addEventListener('click', function(){
//         if (itemID.value.trim() && itemNum.value.trim()){
//             let id = Number(itemID.value) 
//             let num = Number(itemNum.value)
//             if(id && num && num >0){
//                 fadditem(id, num)
//                 fShowItem ()
//                 itemID.value = ''
//                 itemNum.value = ''
//             }
//         }
//     })

//     function send_data(){
//         let url = GetServerUrl()+'/gm_test'
//         const senduser = document.querySelector('.senduser')
//         let args = []
//         for(let i = 0; i < arr.length; i++){
//             args.push(arr[i].id)
//             args.push(arr[i].num)
//         }
//         let context = {
//             uid : senduser.value,
//             func : 'gm_award',
//             args : args
//         }
        
//         console.log(JSON.stringify(context))
//         axios({
//             url: url,
//             params: {
//                 context : JSON.stringify(context)
//             },
//         }).then(result =>{
//             alert(result.data.msg)
//             if (result == 0){
//                 arr.splice(0, arr.length)
//                 fShowItem()
//             }
//         }).catch(error =>{
//             alert(error)
//         })

//     }

//     let temp = document.querySelector('.sendBox .sendbut')
//     temp.addEventListener('click', send_data)

//     temp = document.querySelector('.sendBox .clearbut')
//     temp.addEventListener('click', function(){
//         arr.splice(0, arr.length)
//         fShowItem()
//     })
// })

// document.addEventListener('DOMContentLoaded', () => {
//         // 检查登录状态
//         async function checkAuth() {
//             const response = await fetch('/check-auth');
//             if (!response.ok) {
//                 window.location.href = './login.html'; // 未登录时跳转
//             }
//         }
//         checkAuth();
// })

document.addEventListener('DOMContentLoaded', () => {
    const as = document.querySelectorAll('.left a')
    for(let i = 0; i < as.length; i++){
        as[i].addEventListener('mouseenter', function(){
            document.querySelector('.left .active').classList.remove('active')
            this.classList.add('active')
            document.querySelector('.right .active').classList.remove('active')
            document.querySelector(`.right div:nth-child(${i+1})`).classList.add('active')
        })
    }
})

//停起服
document.addEventListener('DOMContentLoaded', () => {
    const severChangeEnter = document.querySelector('.severChangeEnter');
    severChangeEnter.addEventListener('click', function(){
        const severChange = document.querySelector('.content .severChange')
        let url = GetServerUrl()+'/server'
        axios({
            url: url,
            params: {
                ntype : severChange.value
            },
        }).then(result =>{
            console.log(result)
            alert(result.data.msg)
        }).catch(error =>{
            alert(error)
        })
    })

})

//热更新
document.addEventListener('DOMContentLoaded', () => {
    const hotfixEnter = document.querySelector('.hotfixEnter');
    const addHotfix = document.querySelector('.addHotfix')
    const clearHotfix = document.querySelector('.clearHotfix')
    const hotfixList = document.querySelector('.hotfixList')
    const hotfixOne = document.querySelector('.hotfixOne')
    const arr = []

    hotfixEnter.addEventListener('click', function(){
        const hotfixSelect = document.querySelector('.content .hotfix')
        let url = GetServerUrl()+'/hotfix'
        let params = {}
        if (hotfixSelect.value == 1){
            params.code = true
        }else if(hotfixSelect.value == 2) {
            if(arr.length == 0){
                params.config = "*"
            }
            else{
                params.config = JSON.stringify(arr);
            }
        } 
        axios({
            url: url,
            params: params,
        }).then(result =>{
            console.log(result)
            alert(result.data.msg)
        }).catch(error =>{
            alert(error)
        })
    })

    addHotfix.addEventListener('click', function(){
        let conf_str = hotfixOne.value.trim()
        if (conf_str){
            for(let i = 0; i<arr.length; i++){
                if (arr[i] == conf_str) {
                    alert("重复的配置名")
                    return
                }
            }

            arr.push(conf_str)
            let str = ''
            for(let i = 0; i<arr.length; i++){
                if(i>=1){
                    str += "<br>"
                }
                str += (arr[i])
            }
            hotfixList.innerHTML = str
        }
    })

    clearHotfix.addEventListener('click', function(){
        if (hotfixOne.value.trim()){
            arr.push(hotfixOne.value.trim())
            arr.splice(0, arr.length);
            hotfixList.innerHTML = ''
        }
    })
})


//邮件
document.addEventListener('DOMContentLoaded', () => {
    const sendMailEnter = document.querySelector('.sendMailEnter');
    const sendMailClear = document.querySelector('.sendMailClear');
    const mailItemID = document.querySelector('.mailItemID');
    const mailItemNum = document.querySelector('.mailItemNum');
    const mailAdd = document.querySelector('.mailAdd');
    const mailUids = document.querySelector('.mailUids');
    const mailContent = document.querySelector('.mailContent');
    const mailList = document.querySelector('.mailList');
    const mailType = document.querySelector('.mailType');
    let arr = []

    function addItem(id, num){
        for(let i = 0; i<arr.length; i++){
            if(arr[i].id == id){
                arr[i].num += num
                num = 0
            }
        }
        if(num > 0){
            arr.push({id:id, num:num})
        }
    }
    function listStr(){
        let str = ''
        for(let i = 0; i<arr.length; i++){
            if(i>=1){
                str += "<br>"
            }
            str += `[${arr[i].id}]x[${arr[i].num}],`
        }
        return str
    }

    mailAdd.addEventListener('click', function(){
        let itemid = mailItemID.value.trim()
        let itemnum = mailItemNum.value.trim()
        if (itemid && itemnum){
            let id = Number(itemid) 
            let num = Number(itemnum)
            if(id && num && num >0){
                addItem(id, num)
                mailList.innerHTML = listStr()
            }
        }
    })

    sendMailClear.addEventListener('click', function(){
        arr.splice(0, arr.length)
        mailList.innerHTML=''
    })

    sendMailEnter.addEventListener('click', function(){
        let roles = []
        if(mailType.value==1){
            if(mailUids.value.trim()==""){
                alert("请输入玩家uid")
            }else{
                roles = mailUids.value.split(',', 3)
            }
        }
        let url = GetServerUrl()+'/mail'


        let context = {
            roles:roles,
            attach:arr,
            title:"1",
            content:mailContent.value
        }
        axios({
            url: url,
            params: {
                ntype: mailType.value,
                json: JSON.stringify(context)
            },
        }).then(result =>{
            alert(result.data.msg)
        }).catch(error =>{
            alert(error)
        })
    })
})

