// import axios from 'https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js';

const ser_url = "http://192.168.31.100:8888"
let server_list = {}
export function GetServerUrl(){
    const select_channel = document.querySelector('.select_server2 .ip')
    const select_server = document.querySelector('.select_server3 .ip')
    let channel = select_channel.value
    let key = select_server.value
    if (key === ""){
        alert("地址为空")
    }
    let obj = server_list[channel][key]
    if (obj == null)
    {
        alert("地址异常")
    }
    let url = `http://${obj.ip}:${obj.port}`
    console.log(url)
    return url
}

document.addEventListener('DOMContentLoaded', () => {
    const select_channel = document.querySelector('.select_server2 .ip')
    const select_server = document.querySelector('.select_server3 .ip')

    function show_slect(){
        select_server.innerHTML = '<选择服务器">-- Select an option --</option>';
        const selectedValue = select_channel.value;
        // 根据选中值动态添加第二个 select 的选项
        if (server_list[selectedValue]) {
            for(let i = 0; i < server_list[selectedValue].length; i++){
                let item = server_list[selectedValue][i]
                const option = document.createElement("option");
                option.value = i;
                option.textContent = item.name;
                select_server.appendChild(option);
            }
        }
    }
    axios({
        url: ser_url+"/get_server_list",
    }).then(result =>{
        const arr = result.data
        arr.forEach(obj => {
            const channel = obj.channel || "local"
            server_list[channel] = server_list[channel] || [];
            server_list[channel].push(Object.assign(obj))
        });
            for (const key in server_list) {
                const opt = document.createElement('option');
                opt.value = key; // 设置选项值
                opt.textContent = key; // 设置显示文本
                select_channel.appendChild(opt); // 添加到 select 中
            }
            show_slect()
    }).catch(error =>{
        console.error("服务器请求失败:", error);
        alert("加载服务器列表失败，请稍后再试！");
    })
    select_channel.addEventListener("change", show_slect)
})
