document.addEventListener('DOMContentLoaded', () => {
    const form = document.getElementById('loginForm');
    form.addEventListener('submit', async (e) => {
        e.preventDefault(); // 阻止默认提交行为
        const username = form.username.value;
        const password = form.password.value;

        const response = await fetch('/login', {
            method: 'POST',
            headers: { 'Content-Type': 'application/json' },
            body: JSON.stringify({username,password}),
        });

        if (response.ok) {
            window.location.href = '/index.html'; // 跳转到受保护页面
        } else {
            alert('Login failed. Invalid username.');
        }
        window.location.href = './gm3.html'; // 跳转到受保护页面
    });
})